picard.analysis

## Enum MetricAccumulationLevel

- java.lang.Object
- - java.lang.Enum<MetricAccumulationLevel>
  - - picard.analysis.MetricAccumulationLevel

- All Implemented Interfaces:
    Serializable, Comparable<MetricAccumulationLevel>

      public enum MetricAccumulationLevel
      extends Enum<MetricAccumulationLevel>

  For use with Picard metrics programs that may output metrics for multiple levels of aggregation with an analysis. Used to specify which metrics to output

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL_READS`
    `LIBRARY`
    `READ_GROUP`
    `SAMPLE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MetricAccumulationLevel` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MetricAccumulationLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALL_READS

          public static final MetricAccumulationLevel ALL_READS

    - #### SAMPLE

          public static final MetricAccumulationLevel SAMPLE

    - #### LIBRARY

          public static final MetricAccumulationLevel LIBRARY

    - #### READ_GROUP

          public static final MetricAccumulationLevel READ_GROUP

  - ### Method Detail

    - #### values

          public static MetricAccumulationLevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MetricAccumulationLevel c : MetricAccumulationLevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MetricAccumulationLevel valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null